#include <vector>
#include <iostream>
#include <algorithm>

using namespace std;

int k;
vector<int> sum1, sum2, a;
void rec(int d, int s, int ignore, int r, vector<int>& sum) {
    if (d == r) {
        sum[k] = s;
        k++;
        return;
    }

    if (d == ignore) {
        rec(d + 1, s, ignore, r, sum);
        rec(d + 1, s, ignore, r, sum);
    }
    else { 
        rec(d + 1, s + a[d], ignore, r, sum);
        rec(d + 1, s - a[d], ignore, r, sum);
    }
}


int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    int n;
    cin >> n;

    a.resize(n);
    for(int i = 0; i < n; i++) 
        cin >> a[i];

    int ans = (int)1e9;
    
    int p = n / 2;
    int n1 = 1 << p, n2 = 1 << (n - p);
    sum1.resize(n1);
    sum2.resize(n2);
    for(int i = 0; i < n; i++) {
        
        k = 0;
        rec(0, 0, i, n / 2, sum1);
        k = 0;
        rec(n / 2, 0, i, n, sum2);

        sort(sum1.begin(), sum1.end());
        sort(sum2.begin(), sum2.end());

        for(int j = 0; j < sum1.size(); j++) {
            int s = sum1[j];
            auto it = lower_bound(sum2.begin(), sum2.end(), -s);

            if (it == sum2.begin()) {
                ans = min(ans, abs(*it + s));
            }
            else if(it == sum2.end()) {
                ans = min(ans, abs(sum2.back() + s));
            }
            else {
                int x = *it + s, y = abs(*(--it) + s);
                ans = min(ans, min(x, y));
            }
        }

    }

    cout << ans;
}
